<?
	$this->headScript()
		->appendFile(_st('dashboard.js'), 'text/javascript')
		->appendScript('Cubix.Dashboard.container = "dashboard"')
		->appendFile(_st('comment-popup.js'));
?>

<h1><?= strtoupper(__('pv2_agency_heading', array('agency_name' => $this->user->getAgency()->name))) ?></h1>

<script type="text/javascript">
window.addEvent('domready', function() {
	/* checking urgent message */
	new Request({
		url:  "<?= $this->getLink('private-v2-get-urgent-message') ?>",
		method: 'get',
		onSuccess: function (resp) {
			if (resp)
			{
				new Element('div', {'html': resp}).inject($('g-b'), 'top');

				$('umx').addEvent('click', function() {
					new Request({
						url:  "<?= $this->getLink('private-v2-set-urgent-message') ?>",
						method: 'get',
						onSuccess: function (resp) {
							$('urgent_message').destroy();
						}
					}).send();
				})
			}
		}
	}).send();
	/********************************************************/
	
	/* checking rejected verification */
	new Request({
		url:  "<?= $this->getLink('private-v2-get-rejected-verification') ?>",
		method: 'get',
		onSuccess: function (resp) {
			if (resp)
			{
				new Element('div', {'html': resp}).inject($('g-b'), 'top');

				$('rvx').addEvent('click', function() {
					new Request({
						url:  "<?= $this->getLink('private-v2-set-rejected-verification') ?>",
						method: 'get',
						onSuccess: function (resp) {
							$('rejected_verification').destroy();
						}
					}).send();
				})
			}
		}
	}).send();
	/********************************************************/
});
</script>

<div id="g-b" class="gray-box form">
	
	<div class="vindent2" style="margin-top: 0px;">
		<div class="body">
			<p class="strong red"><?= __('att_photos_count') ?></p><br/>
			<span class="strong"><?= __('pv2_agency_top_text') ?></span><br/><br/>

			<?
				$cache = Zend_Registry::get('cache');
				$cache_key =  'v2_agency_susp_escorts_' . $this->agency['id'];
				if ( ! $escorts_a = $cache->load($cache_key) ) {
					$escorts_a = $this->agency->getEscortsPerPage(1, 20, Model_Escorts::ESCORT_STATUS_ACTIVE, true);
					$cache->save($escorts_a, $cache_key, array(), 300);
				}
			?>
				
			<? $has_susp = false; ?>
			<? $susp_escorts = array(); ?>
			<? if ( count($escorts_a['escorts']) > 0 ): ?>
				<? $has_susp = true; ?>
				<? foreach( $escorts_a['escorts'] as $escort ): ?>
					<? //if ( $escort['is_suspicious'] == 1 ): ?>
						<? $susp_escorts[] = $escort['showname']; ?>
						
					<?// endif; ?>
				<? endforeach; ?>
				<? $shownames = implode(', ', $susp_escorts); ?>
			<? endif; ?>

			<? if ( $has_susp ): ?>
			<p class="strong"><?= __('suspicious_internal_text_agency', array('shownames' => $shownames)) ?></p>
			<? endif; ?>
		</div>
	</div>
	
	<? /*<div class="vindent2" id="advertising_rates">
		<span class="legend">
			<span class="i"><?= __('advertising_rates') ?></span>
		</span>
		<div class="body">
			<p class="strong red" style="font-size:15px; padding-bottom: 7px;"> escortguide.co.uk  <?= __('lowers_adv_prices') ?></p>
			<div class="strong" style="padding:10px"><?= __('lowers_adv_prices_text') ?></div>
			<div class="adv_prices" style="padding:8px 0">
				<div class="strong adv_rows row1">
					<div class="fleft w215" style="line-height: 16px;padding-top: 4px;"><span style="color:#0067d8">Diamond Premium </span> 30 days </br> (top position on frontpage):</div>  
					<div class="fleft" style='color:red'>70 EUR </div>
					<div class="clear"></div>
				</div>	
				<div class="strong adv_rows row2" style="border-bottom: 1px solid #FFFFFF;">
					<div class="fleft w215"><span style="color:#0067d8">Diamond Light </span> 15 days:</div>
					<div class="fleft" style='color:red'>40 EUR </div>
					<div class="clear"></div>
				</div>
			</div>

		</div>
	</div>*/?>
	
	<div class="vindent2" style="font-weight: bold; padding: 20px 30px;">
		<span class="legend" style='background: url("/img/pa_legend_bg_green.png") no-repeat scroll left top'>
			<span class="i" style='background: url("/img/pa_legend_bg_green.png") no-repeat scroll right bottom'> TIP !!! </span>
		</span>
		<p><?= __('tip_text') ?></p>
	</div>
	<? if ( count($this->dash_escorts) ): ?>
	<div class="vindent2" style="padding: 20px 10px 10px 10px;">
		
		<span class="legend">
			<span class="i"><?= __('pv2_escorts_status') ?></span>
		</span>
		<div id="dashboard">
		<?= $this->render('private-v2/agency-dashboard.phtml'); ?>
		</div>
	</div>
	<? endif; ?>
	
	<? if ($this->allowChat2()): ?>
		<script type="text/javascript">
			window.addEvent('domready', function() {
				var st, ch_st, color;

				$('chat-wrapper').addEvent('chat-on', function() {
					st = 'off';
					ch_st = '<?= __('online') ?>';
					color = 'green';

					$('online_chat_icon').set('class', '<?= $this->lang() ?>_online_chat_' + st);
					$('chat_status').set('html', ch_st);
					$('chat_status').addClass(color);
				})

				$('chat-wrapper').addEvent('chat-off', function() {
					st = 'on';
					ch_st = '<?= __('offline') ?>';
					color = 'red';

					$('online_chat_icon').set('class', '<?= $this->lang() ?>_online_chat_' + st);
					$('chat_status').set('html', ch_st);
					$('chat_status').addClass(color);
				})

				$('online_chat_icon').addEvent('click', function(e) {
					e.stop();

					var c = $('online_chat_icon').get('class');
					var nc, ch_st;

					if (c == '<?= $this->lang() ?>_online_chat_on')
					{
						chat.enableChat();
						nc = '<?= $this->lang() ?>_online_chat_off';
						ch_st = '<?= __('online') ?>';
						$('chat_status').removeClass('red');
						$('chat_status').addClass('green');
					}
					else
					{
						chat.disableChat();
						nc = '<?= $this->lang() ?>_online_chat_on';
						ch_st = '<?= __('offline') ?>';
						$('chat_status').removeClass('green');
						$('chat_status').addClass('red');
					}

					$('online_chat_icon').set('class', nc);
					$('chat_status').set('html', ch_st);
				});
			});
		</script>
		
		<div class="vindent2" style="width: 275px; height: 255px ;float: left; padding: 20px 10px; margin-right: 5px;">
			<span class="legend">
				<span class="i" style="padding-left: 38px;"><?= $this->t('online_chat') ?></span>
				<div id="chat_new"></div>
			</span>

			<div class="body">
				<p class="strong"><?= __('chat_text_1') ?></p><br/>
				<p class="strong"><?= __('chat_text_2') ?></p><br/>
				<br/>
				<?= __('current_status') ?>: <span id="chat_status" class="strong"><?= __('offline') ?></span>
				<br/>
				<br/>
				<a href="#" id="online_chat_icon" class="<?= $this->lang() ?>_online_chat_on"></a>
			</div>
		</div>
	<? endif; ?>
	
	<? $conf = Zend_Registry::get('escorts_config'); $bubbletext = isset($conf['bubbleText']) && $conf['bubbleText']; ?>

	<? if ( $bubbletext ): ?>
	<script type="text/javascript">
		window.addEvent('domready', function() {
			var overlay = new Cubix.Overlay($('mood-id'), { loader: _st('loader-circular-tiny.gif'), position: '50%' });
			Xmas.init( true );

			$$('select[name=agency_escorts]').addEvent('change', function(){
				if ( this.get('value') != '0' ) {
					overlay.disable();
					new Request({
						url: '/private-v2/get-bubble-text?escort_id=' + this.get('value'),
						method: 'get',
						onSuccess: function (resp) {
							var resp = JSON.decode(resp);

							if ( resp ) {
								$('bubble-text').set('value', resp.text);
							}
							else {
								$('bubble-text').set('value', '');
							}

							$('bubble-error').setStyle('visibility', 'hidden');

							overlay.enable();
						}
					}).send();
				}
				else {
				
					$('bubble-text').set('value', '');
				}
			});			

			$('add-bubble-text').addEvent('click', function(e){
				e.stop();

				var escort_id = $$('select[name=agency_escorts]')[0].getSelected()[0].get('value');

				var overlay = new Cubix.Overlay($('mood-id'), { loader: _st('loader-circular-tiny.gif'), position: '50%' });

				if ( escort_id != '0') {
					overlay.disable();

					new Request({
						url: '/private-v2/add-bubble-text',
						data: { 'escort_id': escort_id, text: $('bubble-text').get('value') },
						method: 'post',
						onSuccess: function (resp) {
							if ( resp == 'one_per_day_limit' ) {
								$('bubble-error').setStyle('visibility', 'visible');
							}
							else if (resp.substr(0,9) == "You can`t"){
								$('bubble-error').set('html', resp);
								$('bubble-error').setStyle('visibility', 'visible');
							}
							else {
								$('bubble-error').setStyle('visibility', 'hidden');
							}
							overlay.enable();
						}
					}).send();
				}
				else {
					alert('Please select escort !');
				}

			});
			if($('comment_agency_escorts')){
				$('comment_agency_escorts').addEvent('change',function(){
					var params ={
							page:1,
							per_page: <?= $this->comments_per_page ?>
					}
					if ( this.get('value') != '0' ) {
							params.escort_id = this.get('value');
							params.is_agency = 0;
						}
					else{
							params.escort_id = '<?= $this->escort_id ?>';
							params.is_agency = 1;
					}
					LoadEscortComments(params);
				});
			}
			CommentReply = function(comment_id,escort_id){
				Cubix.CommentPopup.url = "<?= $this->getLink('private-v2-add-reply') ?>";
				Cubix.CommentPopup.Show('500', '520',comment_id,escort_id);
			}
			LoadEscortComments = function (params) {

				var comments_container = $('ajax-escort-comments');

				var overlay = new Cubix.Overlay(comments_container, {
					loader: _st('loader-small.gif'),
					position: '50%'
				});
				overlay.disable();

				new Request({
					url:  "<?= $this->getLink('private-v2-ajax-escort-comments') ?>",
					method: 'post',
					evalScripts: true,
					data: params,
					onSuccess: function (resp) {
						comments_container.set('html','');
						comments_container.set('html',resp);
					}
				}).send();

				return false;
				}
		});
	</script>

	<div class="vindent2" style="width: 280px; height: 255px; float: left; padding: 20px 10px; margin-right: 5px;">
		<span class="legend">
			<span class="i"><?= $this->t('instant_live_messages') ?></span>
		</span>
		
		<div class="body" id="mood-id">
			<span class="strong"><?= $this->t('share_mood') ?></span>
			<div style="margin-top: 20px; margin-bottom: 40px;">
				<p id="bubble-error"><?= __('pv2_alert_one_per_day_limit') ?></p>
				<label style="float: none; display: block; margin-bottom: 3px; width: 130px;"><?= $this->t('select_escort') ?>:</label>
				<select name="agency_escorts" style="width: 180px;">
					<option value="0">---</option>
					<? if ( count($this->escorts) ): ?>
					<? foreach( $this->escorts as $escort ): ?>
						<? if( $escort['gender'] == GENDER_MALE ): ?>
							<? continue; ?>
						<? endif; ?>
					<option value="<?= $escort['id'] ?>"><?= $escort['showname'] ?></option>
					<? endforeach; ?>
					<? endif; ?>
				</select>
			</div>
			<div class="clear"></div>
			<div class="mood">
				<input type="text" name="text" id="bubble-text" value="" />
				<button id="add-bubble-text"></button>
				<div class="clear"></div>
			</div>
		</div>
	</div>
	<? endif ?>

	<div class="vindent2" style="width: 275px; height: 255px; float: left; padding: 20px;">
		<span class="legend">
			<span class="i"><?= $this->t('news') ?></span>
		</span>

		<div class="body">
			<p class="strong"><?= __('hh_internal_text') ?></p><br/>
		</div>
	</div>
		
	<div class="clear"></div>
	
	<div class="vindent2">
		<span class="legend">
			<span class="i"><?= __('pv2_main_nav') ?></span>
		</span>
		
		<ul id="navigation">
		<? foreach ( $this->navigation as $i => $link ): ?>
			<li<?= $i == count($this->navigation) - 1 ? ' class="no-sep"' : '' ?>>
				<a href="<?= $this->getLink($link['link']) ?>" class="<?= $link['id'] ?>">
					<span style="position: relative">
						<? //unread support count on icon ?>
						<? if ( $link['id'] == 'support' && isset($link['supportUnreadsCount']) && $link['supportUnreadsCount']) : ?>
							<? if ( $link['supportUnreadsCount'] <= 9 ): ?>
								<p class="pm-count"><?= $link['supportUnreadsCount'] ?></p>
							<? else: ?>
								<p class="pm-count" style="font-size: 12px; line-height: 1.9"><?= '9+' ?></p>
							<? endif; ?>
						<? endif; ?>
					</span>
					<?= strtoupper($link['title']) ?>
				</a>
			</li>
			<? if( ($i + 1) % 6 == 0 ):?>
			<div class="clear"></div>
			<? endif; ?>
		<? endforeach ?>
		</ul>
		<div class="clear"></div>
	</div>
	
	<? if (!$this->agency->disabled_comments): ?>
		<? if ( count($this->comments) > 0 ): ?>
	<div class="vindent2" style="padding: 20px 0 0 0;">
			<span class="legend">
				<span class="i"><?= __('my_comments') ?></span>
			</span>
		
				<div id="comment-select-escort">
					<label style="float:none;display: block; margin-bottom: 3px; width: 130px;"><?= $this->t('select_escort') ?>:</label>
					<select name="comment_agency_escorts" id="comment_agency_escorts" style="width: 150px">
						<option value="0">ALL</option>
						<? if ( count($this->agency_escorts) ): ?>
						<? foreach( $this->agency_escorts as $escort ): ?>
						<option value="<?= $escort->id ?>"><?= $escort->showname ?></option>
						<? endforeach; ?>
						<? endif; ?>
					</select>
					<div class='clear'></div>
				</div>
				<div id="ajax-escort-comments">
					<?= $this->render('private-v2/ajax-escort-comments.phtml'); ?>
				</div>
		</div>
		<? endif; ?>
	<? endif; ?>
	
	<? /* March 8 POPUP 
	<? if ( ! isset($_COOKIE['march8_closed_uk']) && date('j') == 8): ?>
		
	<script type="text/javascript">
		window.addEvent('domready', function() {
			var overlay = new Cubix.Overlay(document.body, {
				position: '50%',
				has_loader: false,
				opacity: '0.6',
				color: '#000'
			});
			overlay.disable();
			setTimeout(function(){ $('march8-popup').fade('in') }, 2000);
			$$('#march8-popup .close').addEvent('click', function(){
				$('march8-popup').fade('out');
				Cookie.write('march8_closed_uk',1,{duration: 1});
				overlay.enable();
			});
			
			
		});
	</script>

	<div id="march8-popup" class="popup_<?= $this->lang() ?>">
		<a href="#" class="close"></a>
	</div>
	
	<? endif; ?>
	 March 8 POPUP END; */?>
	
</div><!-- gray-box -->
